if not SimpleSelfRebuff then return end
SimpleSelfRebuff:_rev("$Revision: 69169 $")

SimpleSelfRebuff:RegisterBuffSetup(function(self, spellNames, L)
	self:Debug('Loading tracking setup')
	
	self:GetCategory(self.CATEGORY_TRACKING)
		:add(	spellNames[2383 ], 'mountFriendly', true ) -- Find Herbs 
		:add(	spellNames[2580 ], 'mountFriendly', true ) -- Find Minerals
		:add(	spellNames[2481 ], 'mountFriendly', true ) -- Find Treasure
	-- 2.3 new tracking
		:add(	spellNames[43308], 'mountFriendly', true ) -- Find Fish
		
	-- 2.3 built-in trackins
	self:GetCategory(self.CATEGORY_TRACKING)
		:add(	L["Ammunition"],          'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Ammunition" )
		:add(	L["Banker"],              'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Banker" )
		:add(	L["BattleMaster"],        'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\BattleMaster" )
		:add(	L["Class Trainer"],       'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Class" )
		:add(	L["FlightMaster"],        'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\FlightMaster" )
		:add(	L["Food & Drink"],        'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Food" )
		:add(	L["Innkeeper"],           'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Innkeeper" )
		:add(	L["Profession Trainers"], 'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Profession" )
		:add(	L["Reagents"],            'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Reagents" )
		:add(	L["Repair"],              'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Repair" )
		:add(	L["StableMaster"],        'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\StableMaster" )
		
end)
